aboutsummaryrefslogtreecommitdiffstats
path: root/community/py3-django-simple-captcha/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'community/py3-django-simple-captcha/APKBUILD')
-rw-r--r--community/py3-django-simple-captcha/APKBUILD38
1 files changed, 38 insertions, 0 deletions
diff --git a/community/py3-django-simple-captcha/APKBUILD b/community/py3-django-simple-captcha/APKBUILD
new file mode 100644
index 0000000000..4076835c0a
--- /dev/null
+++ b/community/py3-django-simple-captcha/APKBUILD
@@ -0,0 +1,38 @@
+# Contributor: <xmingske@gmail.com>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+_pkgname=django-simple-captcha
+pkgname=py-${_pkgname}
+pkgver=0.4.3
+pkgrel=1
+pkgdesc="simple, yet highly customizable Django application to add captcha images to any Django"
+url="https://github.com/mbi/django-simple-captcha"
+arch="noarch"
+license="BSD"
+makedepends="python2-dev py-setuptools"
+depends="python2"
+source="$_pkgname-$pkgver.tar.gz::https://github.com/mbi/django-simple-captcha/archive/$pkgver.tar.gz"
+
+_builddir="${srcdir}/${_pkgname}-$pkgver"
+
+prepare() {
+ local pf
+ cd "${_builddir}"
+ for pf in $source; do
+ case $pf in
+ *.patch) msg $pf; patch -p1 -i "$srcdir"/${pf} || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "${_builddir}"
+ python2 setup.py build || return 1
+}
+
+package() {
+ cd "${_builddir}"
+ python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+md5sums="c86a3f76ccbfcfd0af52b1094c601320 django-simple-captcha-0.4.3.tar.gz"
+sha256sums="9a12d2c35369e5cfbd6dbdfb1a64078300c44b95e4b2ad5e5cfce831d32b16d1 django-simple-captcha-0.4.3.tar.gz"
+sha512sums="86fd368e85b127e6447d5b41bec362414f83bb08447a7357cf57c961542001e820ae6881ab4bd9ae20fffce84092aedd0b60f79c3adbe97f7c3bbe012c6208c2 django-simple-captcha-0.4.3.tar.gz"